<ion-header>
  <ion-toolbar>
    <ion-title>
      Busqueda de películas
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-toolbar>
    <ion-searchbar placeholder="Busca películas" (ionChange)="onSearchChange($event)" animated [debounce]="750"></ion-searchbar>
  </ion-toolbar>
  <ion-grid fixed>
    <ion-row>
      <ion-col class="ion-text-center">
          <ion-spinner name="crescent" *ngIf="buscando==true"></ion-spinner>
          <ion-grid fixed *ngIf="movies.length>0">
            <ion-row>
              <ion-col size="6" *ngFor="let movie of movies">
                <ion-card class="movie-card" (click)="presentModal(movie.id)">
                  <img src="{{movie.poster_path |imagen}}" alt="">
                  <h5>{{movie.title}}</h5>
                </ion-card>
              </ion-col>
            </ion-row>
          </ion-grid>
      </ion-col>
    </ion-row>

    <ion-infinite-scroll threshold="25%" (ionInfinite)="loadData($event)">
      <ion-infinite-scroll-content loadingSpinner="crescent" loadingText="Cargando más películas..">
      </ion-infinite-scroll-content>
    </ion-infinite-scroll>
      <ion-item text-center *ngIf="messageLast">
        <ion-label>{{messageLast}}</ion-label>
    </ion-item>
  </ion-grid>
</ion-content>
